package com.rjconsultores.ventaboletos.dao.sqlbuilder;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import com.rjconsultores.ventaboletos.dao.sqlbuilder.impl.SQLBuilderOracle;
import com.rjconsultores.ventaboletos.dao.util.DBUtil;

public class SQLFactory {
	private static final Logger log = LogManager.getLogger(SQLFactory.class);

	public SQLBuilder getBuilder() {
		if (DBUtil.getInstance().isOracle()) {
			return new SQLBuilderOracle();
		}
		
		throw new RuntimeException("NÃO foi localizado a classe que traduz SQL Nativos");
	}
}
